| Home | Libraries | People | FAQ | More

## Class template day_functor

boost::date_time::day_functor — Functor to iterate a fixed number of days.

## Synopsis

    // In header: <boost/date_time/adjust_functors.hpp>

    template<typename date_type>
    class day_functor {
    public:
      // types
      typedef date_type::duration_type duration_type;

      // construct/copy/destruct
      day_functor(int);

      // public member functions
      duration_type get_offset(const date_type &) const;
      duration_type get_neg_offset(const date_type &) const;
    };

## Description

### `day_functor` public construct/copy/destruct

1.     day_functor(int f);

### `day_functor` public member functions

1.     duration_type get_offset(const date_type & d) const;

2.     duration_type get_neg_offset(const date_type & d) const;